Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.common
Class PurchaseXMLHelper

    java.lang.Object
      |
      +--examples.e2e.common.PurchaseXMLHelper

public class PurchaseXMLHelper
extends java.lang.Object

Constructor Summary
`PurchaseXMLHelper()`

Method Summary
`static java.lang.String` | `generateXML(OrderValue ov, java.lang.String transactionID)`
`static java.lang.String` | `generateXML(PurchaseQuote quote)`
`static java.lang.String` | `generateXML(QPA qpa)`
`static java.lang.String` | `getFormattedCurrentDate(java.lang.String format)`
`static java.lang.String` | `getFormattedDate(java.util.Date date, java.lang.String format)`
`static java.lang.String` | `transform(org.w3c.dom.Document newDoc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PurchaseXMLHelper

    public PurchaseXMLHelper()

Method Detail

### transform

    public static java.lang.String transform(org.w3c.dom.Document newDoc)
                                      throws javax.xml.transform.TransformerConfigurationException,
                                             javax.xml.transform.TransformerException

### generateXML

    public static java.lang.String generateXML(OrderValue ov,
                                               java.lang.String transactionID)
                                        throws javax.xml.parsers.ParserConfigurationException,
                                               javax.xml.transform.TransformerConfigurationException,
                                               javax.xml.transform.TransformerException,
                                               java.rmi.RemoteException

### generateXML

    public static java.lang.String generateXML(PurchaseQuote quote)
                                        throws javax.xml.parsers.ParserConfigurationException,
                                               javax.xml.transform.TransformerConfigurationException,
                                               javax.xml.transform.TransformerException,
                                               java.rmi.RemoteException

### generateXML

    public static java.lang.String generateXML(QPA qpa)
                                        throws javax.xml.parsers.ParserConfigurationException,
                                               javax.xml.transform.TransformerConfigurationException,
                                               javax.xml.transform.TransformerException,
                                               java.rmi.RemoteException

### getFormattedCurrentDate

    public static java.lang.String getFormattedCurrentDate(java.lang.String format)

### getFormattedDate

    public static java.lang.String getFormattedDate(java.util.Date date,
                                                    java.lang.String format)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved